Subject: Re: [PATCH v5 7/9] ref: enhance escape situation for worktrees

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 7 Oct 2024 08:58:40 +0200

On Sun, Sep 29, 2024 at 03:17:01PM +0800, shejialuo wrote:
> We do allow users to use "git symbolic-ref" to create symrefs which
> point to one of the linked worktrees from the primary worktree or one of
> the linked worktrees.
> 
> We should not info the user about the escape for above situation. So,
> enhance "files_fsck_symref_target" function to check whether the "referent"
> starts with the "worktrees/" to make sure that we won't warn the user
> when symrefs point to "referent" in the linked worktrees.

Shouldn't this commit be squashed into the former one, as it immediately
fixes an edge case that was introduced with the parent commit?

Patrick